Elemental Summoners are experts at Summoning Magic just like Human Hexans or Dark Elven Phantom Summoners. But, they summon different creatures compared to Warlocks. The Elemental Summoner is an occupation which goes hunting alone with the creature he has summoned. The summoned creature attacks and the character supports or vice versa, or they can both attack. But they must summon enough creatures depending on the situation to have a proper fight. During party play, the Elemental Summoner can summon various creatures to help the party. He can supplement the weak spots of a party depending on the party's characteristics.
They have basic skills such as summoning various creatures and have magical skills to support the creatures.
To be an Elemental Summoner, your level must be over 40 and you need to collect the Mark of the Scholar, the Mark of Life, and the Mark of the Summoner.
Ask about marks.
Return